Subject: Re: bug#30444: 26.0.90; browse-url-emacs sets default-directory to "https://"

From: Michael Albinus <[email-masked]>
Date: Mon, 12 Mar 2018 10:42:22 +0100

Nicolas Petton <[email-masked]> writes:

Hi Nico,

>> Will do. I'm short in time these days, so it might take some more days
>> until I could check.
>
> I could give this a try, but I'm not sure what is the expected behavior
> (though I guess that the default directory should be set to the
> hostname).

That would be great!

I haven't started yet, but I guess you must check url-handlers. Look at
this:

(progn
  (require 'url-handlers)
  (file-name-directory "https://gnu.org"))

=> "https://"

In this special case, I would expect "https://gnu.org" as result,
indeed.

Creating a test file test/lisp/url/url-handlers-test.el would be useful.

> Cheers,
> Nico

Best regards, Michael.